import { PDFViewer } from 'pdfjs-dist/types/web/pdf_viewer';
import { Highlight, HighlightBindings } from '../types';
/**
 * The props type for HighlightLayer.
 */
export interface HighlightLayerOptions {
    highlightsByPage: {
        [pageNumber: number]: Array<Highlight>;
    };
    pageNumber: number;
    scrolledToHighlightId?: string | null;
    viewer: PDFViewer;
    highlightBindings: HighlightBindings;
    onElementContextMenu?: (event: MouseEvent, highlight: any) => void;
}
/**
 * A class responsible for managing all the highlights
 * for a single page of a PDF document.
 */
export declare class HighlightLayerPage {
    private highlightsByPage;
    private pageNumber;
    private scrolledToHighlightId?;
    private viewer;
    private highlightBindings;
    private onElementContextMenu?;
    constructor(options: HighlightLayerOptions);
    draw(): void;
    destroy(): void;
}
