import { PDFViewer } from 'pdfjs-dist/types/web/pdf_viewer';
import { ScaledPosition, ViewportPosition } from '../types';
export interface MouseSelectionOptions {
    viewer: PDFViewer;
    onSelection?(viewportPosition: ViewportPosition, scaledPosition: ScaledPosition, image: string, resetSelection: () => void, event: MouseEvent): void;
    onReset?(): void;
    onDragStart?(event: MouseEvent): void;
    enableAreaSelection(event: MouseEvent): boolean;
    onChange?(isVisible: boolean): void;
    style?: object;
}
export declare class MouseSelection {
    private viewer;
    private onSelection?;
    private onReset?;
    private onDragStart?;
    private enableAreaSelection;
    private style?;
    private start;
    private end;
    private locked;
    private rootRef;
    private startTargetRef;
    private selectionContainerDiv;
    private selectionDiv;
    constructor(props: MouseSelectionOptions);
    private reset;
    private handleMouseUp;
    private handleMouseMove;
    private handleMouseDown;
    private updateSelectionBox;
    private hideSelectionBox;
    attachListeners(rootElement: HTMLElement): void;
    detachListeners(rootElement: HTMLElement): void;
    destroy(): void;
}
