import { PageViewport } from 'pdfjs-dist';
import { PDFViewer } from 'pdfjs-dist/types/web/pdf_viewer';
import { LTWHP, ViewportPosition, ScaledCoordinates, ScaledPosition } from '../types';
interface WIDTH_HEIGHT {
    width: number;
    height: number;
}
/** @category Utilities */
export declare const viewportToScaled: (rect: LTWHP, { width, height }: WIDTH_HEIGHT) => ScaledCoordinates;
/** @category Utilities */
export declare const viewportPositionToScaled: ({ boundingRect, rects }: ViewportPosition, viewer: PDFViewer) => ScaledPosition;
/** @category Utilities */
export declare const scaledToViewport: (scaled: ScaledCoordinates, viewport: PageViewport, usePdfCoordinates?: boolean) => LTWHP;
/** @category Utilities */
export declare const scaledPositionToViewport: ({ boundingRect, rects, usePdfCoordinates }: ScaledPosition, viewer: PDFViewer) => ViewportPosition;
export {};
